Subject: Re: bug#11073: 24.0.94; BIDI-related crash in redisplay with certain byte sequences

From: Stefan Monnier <[email-masked]>
Date: Mon, 26 Mar 2012 08:23:58 -0400

> So, I decided at that time to give each CJK charset unique
> code space (above #x110000) in Emacs, and allow users to
> freely unify/disunify them to Unicode code space (below
> #x110000) by giving the function unify-charset.

I understand this part.  The part I don't understand is why we do
unification when reading a char from the buffer's text.  That is: why
unify chars in `int' (or Lisp_Object) form but not in the
internal-utf-8 representation?

I would expect the unification to happen during encoding/decoding
only, and not during internal conversions from byte byte-sequence to int.

        Stefan